{#
/*
 * Copyright (C) 2018 Xibo Signage Ltd
 *
 * Xibo - Digital Signage - http://www.xibo.org.uk
 *
 * This file is part of Xibo.
 *
 * Xibo is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * Xibo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with Xibo.  If not, see <http://www.gnu.org/licenses/>.
 */
#}
{% extends "authed.twig" %}
{% import "inline.twig" as inline %}
{% import "forms.twig" as forms %}

{% block pageContent %}
    <div class="widget">
        <div class="widget-title">{% trans "Password change required" %}</div>
        <div class="widget-body">
            <div class="row">
                <div class="col-md-12">
                    <form id="userChangePasswordForm" class="XiboForm form-horizontal" method="put" action="{{ url_for("user.force.change.password", {id: user.userId}) }}">
                        {% set title %}{% trans "User Name" %}{% endset %}
                        {{ forms.disabled("userName", title, currentUser.userName) }}

                        {% set title %}{% trans "New Password" %}{% endset %}
                        {% set helpText %}{% trans "Please enter your new password" %}{% endset %}
                        {{ forms.password("newPassword", title, "", helpText, "", "required") }}

                        {% set title %}{% trans "Retype New Password" %}{% endset %}
                        {% set helpText %}{% trans "Please repeat the new Password." %}{% endset %}
                        {{ forms.password("retypeNewPassword", title, "", helpText, "", "required") }}
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <button class="XiboFormButton btn btn-save btn-block btn-success" id="changePassword" title="{% trans "Save" %}">{% trans "Save" %}</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javaScript %}
<script type="text/javascript">

    $("#changePassword").click(function () {
        XiboFormSubmit($("#userChangePasswordForm"), null, function(xhr, form) {
            if (xhr.success) {
                $("#changePassword").addClass("disabled");
                window.location.href = "{{ url_for("home") }}";
            }
        });
    });

</script>
{% endblock %}